<template>
  <div class="page-single">
    <nuxt />
    <SidebarContainer>
      <SidebarMenu />
    </SidebarContainer>
    <client-only>
      <portal-target name="modal" />
    </client-only>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import SidebarContainer from '@/components/app/SidebarContainer.vue'
import SidebarMenu from '@/components/app/SidebarMenu.vue'

export default defineComponent({
  name: 'Single',
  components: {
    SidebarMenu,
    SidebarContainer
  }
})
</script>
